# -*- coding: utf-8 -*-
"""
Добавление рамки для ленты времени к окну с картинкой перекрёстка
Добавление соответствующего пункта контекстного меню для светофоров, районов и маршрутов
(c)2012-2013 ЗАО "РИПАС"
www.ripas.ru
"""
from RoadCentre import plugins
from PythonQt import QtGui
import gui

if hasattr(plugins,'TimelinePlugin'):
    import timeline

    timeline.addTimelineToObjects()

    routes_toolbar=gui.mainWindow.findChild('QToolBar','toolBarRoutes')
    routes_toolbar=gui.mainWindow.addToolBar(u'Маршруты')
    routes_toolbar.objectName='toolBarRoutes'
    action=routes_toolbar.addAction(u'Добавить маршрут')
    action.checkable=True
    action.icon=QtGui.QIcon(':/images/resources/addroute.png')
    action.objectName='addRoute'
    action.connect('triggered(bool)', timeline.actionAddRoute)

    from menu import Menu
    if hasattr(plugins,'TSpiderPlugin'):
        Menu.devClassMenus['TSpider::Area'].appendCustomAction(u'Лента времени',timeline.areaTimeline)
    if hasattr(plugins,'SpectrPlugin'):
        Menu.devClassMenus['Spectr::Light'].appendCustomAction(u'Лента времени',timeline.controllerTimeline)
    Menu.devClassMenus['RouteGraphicsItem']=timeline.RouteMenu()

    if hasattr(plugins,'TimelinePlugin'):
        pluginsMenu=gui.mainWindow.findChild('QMenu','menuPlugins')
        if pluginsMenu is not None:
            pluginsMenu.addAction(u'Лента времени').connect('triggered()',plugins.TimelinePlugin.editSettings)

    gui.msgOk(u'Инициализации модуля "Ленты времени" выполнена')
